<template>
  <div class="app-conta">
    <el-row :gutter="10" class="mb8 roiyy">
      <el-col :span="1.5" v-if="setrd % 2 == 1">
        <el-button
          type="primary"
          @click="submitCtion"
          v-hasPermi="['projectConstruction:construction:add']"
          v-if="tab == 0 || tab == 3 || tab == 4"
          >提交</el-button>
          <!-- handleAudit -->
        <!-- <el-button
          type="primary"
          @click="submitCtion"
          v-hasPermi="['projectConstruction:construction:add']"
          v-if="tab == 0 || tab == 3"
          >保存</el-button> -->
      </el-col>
      <el-col :span="1.5">
        <el-button type="primary" @click="handleUpdatex">取消</el-button>
      </el-col>
      <el-col :span="1.5">
        <el-button type="primary" @click="nextYg" v-if="tab == 1 || tab == 2"
          >下一页</el-button
        >
      </el-col>
      <el-col :span="1.5" :offset="16" v-if="setrd % 2 == 1&&setrd>2">
        <el-button
          type="danger"
          @click="backProBtn"
          v-hasPermi="['bmProject:project:back']"
          >撤销审核</el-button
        >
      </el-col>
      <el-col :span="1.5" :offset="18" v-if="setrd % 2 == 0">
        <el-button
          type="danger"
          @click="applyBtn"
		  style="background: #00B034;color: #FFF;border: none;"
          v-hasPermi="['bmProject:project:pass']"
          >审核</el-button
        >
        <el-button
          type="danger"
          @click="backBtn"
		  style="background: #3FBCEF;color: #FFF;border: none;"
          v-hasPermi="['bmProject:project:reject']"
          >驳回</el-button
        >
      </el-col>
      <!-- <el-col :span="1.5" :offset="18">
    <el-button
        type="danger"
        @click="handleAudit"
        v-hasPermi="['bmProject:project:pass']"
         v-if="tab == 0 || tab == 3"
      >确认审核</el-button>
        </el-col> -->
    </el-row>

    <div class="nauer">
      <!-- 在建项目 -->
      <div>
        <div class="nstruction">
          <div class="nstruction_nav">
            <p>
              <span>*</span>
              <span>合同约定开工时间:</span>
            </p>
            <p>{{ queryParamstwr.orderBeginTime }}</p>
          </div>
          <div class="nstruction_navne">
            <p>
              <span>*</span>
              <span> 合同约定竣工时间:</span>
            </p>
            <p>{{ queryParamstwr.orderEndTime }}</p>
          </div>
        </div>
        <div class="naue_tabd">
          <p
            @click="tabClid(index)"
            v-for="(item, index) in tabNume"
            :key="index"
            :class="[tab == index ? 'p' : '']"
          >
            {{ item }}
          </p>
        </div>
        <!-- 内容 -->
        <div class="namjeu" v-if="tab == 0">
          <el-form
            :model="queryParamstwr"
            ref="queryForm"
            :rules="queryForm"
            :inline="true"
            v-show="showSearch"
            label-width="135px"
            label-position="center"
            class="manager_form bhyeksu"
          >
            <el-form-item
              label="施工许可证/施工合同:"
              prop="constructionCode"
              class="maget_ty"
              :rules="[{ required: true, message: '请上传施工许可证', trigger: 'blur' }]"
            >
              <div class="bgteu fre" style="width: 618px">
                <div class="">
                  <el-upload
                    :action="defaultSettings.urls + process+'/common/upload'"
                    :auto-upload="true"
                    ref="uploadone"
                    :before-upload="beforeAvatarUpload"
                    :on-preview="handlePictureCardPreview"
                    :on-remove="handleRemove"
                    :on-success="handleSuccpermit"
                    :multiple="true"
                    :disabled = "disfal"
                    :file-list="fileListther"
                    style="display: flex;"
                  >
                    <div style="display: flex; justify-content: flex-start; flex-direction: column; flex: 1;">
                      <i slot="default" class="el-icon-plus" style="width:100px;height: 100px; line-height: 100px; background-color: #f5f5f5; border-radius: 6px;"> </i>
                      <div slot="tip" class="el-upload__tip" style="line-height: 24px;">只能上传word/pdf格式，大小不超过10M(请上传完整施工许可证或完整的施工合同,许可证/合同须盖章,)</div>
                    </div>
                  </el-upload>
                </div>
              </div>
            </el-form-item>
            <el-form-item label="是否开工建设:" prop="isConstruction">
              <el-select
                v-model="queryParamstwr.isConstruction"
                placeholder="请选择"
                clearable
                :disabled = "disfal"
                size="small"
                style="width: 458px"
              >
                <el-option
                  v-for="dict in typeOptions"
                  :key="dict.dictValue"
                  :label="dict.dictLabel"
                  :value="dict.dictValue"
                />
              </el-select>
            </el-form-item>
            <el-form-item label=" 开工日期:" prop="constructionStartdate" :rules="[{ required: true, message: '请选择开工日期', trigger: 'blur' }]">
              <el-date-picker
                type="date"
                placeholder="选择日期"
                :disabled = "disfal"
                v-model="queryParamstwr.constructionStartdate"
                value-format="yyyy-MM-dd"
                style="width: 335px"
              ></el-date-picker>
            </el-form-item>
            <el-form-item label="预计完工日期:" prop="constructionEnddate" :rules="[{ required: true, message: '请选择预计完工日期', trigger: 'blur' }]">
              <el-date-picker
                type="date"
                :disabled = "disfal"
                placeholder="选择日期"
                v-model="queryParamstwr.constructionEnddate"
                value-format="yyyy-MM-dd"
                style="width: 335px"
              ></el-date-picker>
            </el-form-item>
            <!-- <el-form-item label="施工合同(请上传完整的施工合同):" prop="constructionDoc" class="maget_ty" :rules="[{ required: true, message: '请上传施工合同', trigger: 'blur' }]" >
              <div class="bgteu fre" style="width: 618px">
                <div class="">
                  <el-upload
                    :action="defaultSettings.urls + process+'/common/upload'"
                    :auto-upload="true"
                    ref="uploadtwo"
                    :before-upload="beforeAvatarUpload"
                    :on-preview="handlePictureCardPreview"
                    :on-remove="handleRemoves"
                    :multiple="true"
                    :on-success="handleSuccontract"
                    :file-list="fileListfour"
                    :disabled = "disfal"
                    style="display: flex;"
                  >
                    <div style="display: flex; justify-content: flex-start; flex-direction: column; flex: 1;">
                      <i slot="default" class="el-icon-plus" style="width:100px;height: 100px; line-height: 100px; background-color: #f5f5f5; border-radius: 6px;"> </i>
                      <div slot="tip" class="el-upload__tip" style="line-height: 24px;">只能上传word/pdf格式，大小不超过10M(合同须盖章)</div>
                    </div>
                  </el-upload>
                </div>
              </div>
            </el-form-item> -->
            <el-form-item label="开工照片:" prop="constructionPhoto" class="maget_ty" :rules="[{ required: true, message: '请上传开工照片', trigger: 'blur' }]" >
              <div class="bgteu" style="width: 618px">
                <div class="">
                  <el-upload
                    :action="defaultSettings.urls + process+'/common/upload'"
                    :auto-upload="true"
                    ref="upload"
                    :before-upload="beforeAvatarUpload"
                    list-type="picture-card"
                    :on-preview="handlePictureCardPreview"
                    :on-remove="handleRemovess"
                    :on-success="handleSucc"
                    :multiple="true"
                    :disabled = "disfal"
                    :file-list="fileListfive"
                    style="display: flex;"
                  >
                  <!-- <div class="nhyede" style="display: flex; width:;"> -->
                    <div style="display: flex; justify-content: flex-start; flex-direction: column; flex: 1;">
                      <i slot="default" class="el-icon-plus" style="width:100px;height: 100px; line-height: 100px; background-color: #f5f5f5; border-radius: 6px;"> </i>
                      <div slot="tip" class="el-upload__tip" style="line-height: 24px;">只能上传jpg/png文件，且不超过500kb</div>
                    </div>
                    <!-- </div> -->


                    <!-- <div class="ijeut">
                      <el-button
                        plain
                        slot="trigger"
                        size="small"
                        type="primary"
                        :disabled = "disfal"
                        >选择图片</el-button
                      > -->
                      <!-- margin-top: 15%; transform: translateY(-50%); -->
                    <!-- </div> -->

                  </el-upload>
                 <!-- <div class="ijeut">
                    <el-button
                      style="margin-left: 10px; height: 32px"
                      size="small"
                      type="primary"
                      @click="submitUpload"
                      :disabled = "disfal"
                      >开始上传</el-button
                    >
                  </div> -->
                </div>
              </div>
            </el-form-item>
          </el-form>
          <p class="kaieu_tw" @click="handleAdd(0)">
            <i class="el-icon-circle-plus-outline"></i> <i style="color: red;">*</i> 添加开工照片
          </p>
          <el-table v-loading="loading" :data="configList">
            <!-- <el-table-column type="selection" width="55" align="center" /> -->
            <el-table-column label="时间" align="center" prop="createTime" />
            <el-table-column
              label="进度"
              align="center"
              prop="rateTypeName"
              :show-overflow-tooltip="true"
            />
            <el-table-column label="照片" align="center" prop="photo">
              <!-- class-name="small-padding fixed-width" -->
              <template slot-scope="scope">
                <div class="demo-image__preview">
                  <el-image
                    style="width: 100px; height: 100px"
                    :src="scope.row.phototwo"
                    :preview-src-list="scope.row.photo"
                  >
                  </el-image>
                </div>
              </template>
            </el-table-column>
            <el-table-column label="操作" align="center">
              <!-- class-name="small-padding fixed-width" -->
              <template slot-scope="scope">
                <el-button
                  size="mini"
                  type="danger"
                  @click="handleDelete(scope.row)"
                  v-hasPermi="['constructionRate:rate:remove']"
                  >删除</el-button
                >
              </template>
            </el-table-column>
          </el-table>
          <pagination
            v-if="totaltwo > 0 && tab == 0"
            :total="totaltwo"
            :page.sync="queryParamstwrction.pageNum"
            :limit.sync="queryParamstwrction.pageSize"
            @pagination="getListtoi"
          />
        </div>

        <div class="equipment" v-if="tab == 1">
          <p class="kaieu_tw" @click="quipment(1)">
            <i class="el-icon-circle-plus-outline"></i> <i style="color: red; margin-right: 5px;">*</i>添加设备安装信息
          </p>
          <el-table v-loading="loading" :data="configListher">
            <!-- <el-table-column type="selection" width="55" align="center" /> -->
            <el-table-column label="时间" align="center" prop="createTime" />
            <el-table-column
              label="进度"
              align="center"
              prop="eqTypeName"
              :show-overflow-tooltip="true"
            />
            <el-table-column label="照片" align="center">
              <!-- class-name="small-padding fixed-width" -->
              <template slot-scope="scope">
                <div class="demo-image__preview">
                  <el-image
                    style="width: 100px; height: 100px"
                    :src="scope.row.phototwo"
                    :preview-src-list="scope.row.photo"
                  >
                  </el-image>
                </div>
              </template>
            </el-table-column>
            <el-table-column label="操作" align="center">
              <!-- class-name="small-padding fixed-width" -->
              <template slot-scope="scope">
                <el-button
                  size="mini"
                  type="danger"
                  @click="handleDeletetwo(scope.row)"
                  v-hasPermi="['constructionEq:constructionEq:remove']"
                  >删除</el-button
                >
              </template>
            </el-table-column>
          </el-table>
          <pagination
            v-if="totalth > 0"
            :total="totalth"
            :page.sync="queryParamsstallation.pageNum"
            :limit.sync="queryParamsstallation.pageSize"
            @pagination="getListther"
          />
        </div>

        <div class="funding" v-if="tab == 2">
          <p class="kaieu">到资金额合计: {{ queryParamstwo }} 万元</p>
          <p class="kaieu_tw" @click="handleAdd(2)">
            <i class="el-icon-circle-plus-outline"></i> <i style="color: red;margin-right: 5px;">*</i>添加项目到资
          </p>
          <el-table v-loading="loading" :data="configLisfour">
            <!-- <el-table-column type="selection" width="55" align="center" /> -->
            <el-table-column
              label="到资类型"
              align="center"
              prop="payForTypeName"
              :show-overflow-tooltip="true"
            />
            <el-table-column label="金额(单位:万元)" align="center" prop="payForMoney" />
            <el-table-column label="到资证明" align="center" prop="photo">
              <!-- class-name="small-padding fixed-width" -->
              <template slot-scope="scope">
                <div class="demo-image__preview">
                  <el-image
                    style="width: 100px; height: 100px"
                    :src="scope.row.phototwo"
                    :preview-src-list="scope.row.photo"
                  >
                  </el-image>
                </div>
              </template>
            </el-table-column>
            <el-table-column label="操作" align="center">
              <!-- class-name="small-padding fixed-width" -->
              <template slot-scope="scope">
                <el-button
                  size="mini"
                  type="danger"
                  @click="handleDeletether(scope.row)"
                  v-hasPermi="['constructionPay:pay:remove']"
                  >删除</el-button
                >
              </template>
            </el-table-column>
          </el-table>
          <pagination
            v-if="total > 0 && tab == 2"
            :total="total"
            :page.sync="queryParams.pageNum"
            :limit.sync="queryParams.pageSize"
            @pagination="getListfour"
          />
        </div>
      </div>
      <div class="namjeu" v-if="tab == 3">
        <el-form
          :model="queryParamstheyr"
          ref="queryFormtwo"
          :rules="queryFormtwo"
          :inline="true"
          v-show="showSearch"
          label-width="135px"
          label-position="center"
          class="manager_form"
        >
          <el-form-item label=" 入统时间:" prop="statisticsDate" >
            <el-date-picker
              type="date"
              :disabled = "disfal"
              placeholder="选择日期"
              v-model="queryParamstheyr.statisticsDate"
              style="width: 335px"
              value-format="yyyy-MM-dd"
            ></el-date-picker>
          </el-form-item>
          <el-form-item
            label="入统截图:"
            prop="statisticsPhoto"
            class="maget_ty maget_tyty"

          >
            <div class="bgteu" style="width: 618px">
              <div class="">
                <el-upload
                  :action="defaultSettings.urls + process+'/common/upload'"
                  :auto-upload="true"
                  ref="upload"
                  :before-upload="beforeAvatarUpload"
                  list-type="picture-card"
                  :on-preview="handlePictureCardPreview"
                  :on-remove="handleRemovesss"
                  :on-success="handleSuccntry"
                  :multiple="true"
                  :disabled = "disfal"
                  :file-list="fileListthertwo"
                  style="display: flex;"
                >
                <div style="display: flex; justify-content: flex-start; flex-direction: column; flex: 1;">
                  <i slot="default" class="el-icon-plus" style="width:100px;height: 100px; line-height: 100px; background-color: #f5f5f5; border-radius: 6px;"> </i>
                  <div slot="tip" class="el-upload__tip" style="line-height: 24px;">只能上传jpg/png文件，且不超过500kb</div>
                </div>
                </el-upload>
              </div>
            </div>
          </el-form-item>
        </el-form>
      </div>
      <div class="namjeu" v-if="tab == 4">
        <el-form
          :model="queryParamstheyrss"
          ref="queryFormtwofr"
          :inline="true"
          v-show="showSearch"
          label-width="135px"
          label-position="center"
          class="manager_form"
        >
          <el-form-item label=" 入规时间:"  >
            <el-date-picker
              type="date"
              :disabled = "disfal"
              placeholder="选择日期"
              v-model="queryParamstheyrss.statisticsDate"
              style="width: 335px"
            ></el-date-picker>
          </el-form-item>
          <el-form-item
            label="入规截图:"
            class="maget_ty maget_tyty"
          >
            <div class="bgteu" style="width: 618px">
              <div class="">
                <el-upload
                  :action="defaultSettings.urls + process+'/common/upload'"
                  :auto-upload="true"
                  ref="upload"
                  :before-upload="beforeAvatarUpload"
                  list-type="picture-card"
                  :on-preview="handlePictureCardPreview"
                  :on-remove="handleRemovesss"
                  :on-success="handleSuccntry"
                  :multiple="true"
                  :disabled = "disfal"
                  :file-list="fileListthertwo"
                  style="display: flex;"
                >
                <div style="display: flex; justify-content: flex-start; flex-direction: column; flex: 1;">
                  <i slot="default" class="el-icon-plus" style="width:100px;height: 100px; line-height: 100px; background-color: #f5f5f5; border-radius: 6px;"> </i>
                  <div slot="tip" class="el-upload__tip" style="line-height: 24px;">只能上传jpg/png文件，且不超过500kb</div>
                </div>
                </el-upload>
              </div>
            </div>
          </el-form-item>
        </el-form>
      </div>
    </div>

    <el-dialog :visible.sync="dialogVisible">

      <img width="100%" :src="dialogImageUrl" alt="" v-if="ndheuos">
      <a :href="dialogImageUrl" target="view_window" v-if="!ndheuos"> {{dialogImagename}} <span style="color: red; margin-left: 10px;">点击查看/下载</span> </a>

    </el-dialog>



    <!-- 添加或修改参数配置对话框 -->
    <el-dialog :title="title" :visible.sync="open" width="800px" append-to-body :close-on-click-modal="false">
      <el-form ref="form" :model="form" :rules="rules" label-width="150px">
        <!-- <el-form-item label="时间" prop="configName">
          <el-date-picker type="date" placeholder="选择日期" v-model="form.createTime" style="width: 335px"></el-date-picker>
        </el-form-item> -->
        <el-form-item label="进度" prop="configKey">
          <el-select
            v-model="form.rateType"
            placeholder="选择进度"
            clearable
            :disabled = "disfal"
            size="small"
            style="width: 458px"
          >
            <el-option
              v-for="dict in typeOptionstwo"
              :key="dict.dictValue"
              :label="dict.dictLabel"
              :value="dict.dictValue"
            />
          </el-select>
        </el-form-item>
        <el-form-item label="图片" prop="configValue">
          <el-upload
            class="upload-demo"
            ref="upload"
            :action="defaultSettings.urls + process+'/common/upload'"
            :on-preview="handlePreviewther"
            :on-remove="handleRemovether"
            :on-success="handleSuccther"
            :file-list="fileListtherrt"
            :auto-upload="true"
            :multiple="true"
            list-type="picture"
            :disabled = "disfal"
          >
            <el-button slot="trigger" :disabled = "disfal" size="small" type="primary"
              >选取文件</el-button
            >
            <!-- <el-button
              style="margin-left: 10px"
              size="small"
              type="success"
              :disabled = "disfal"
              @click="submitUploadther"
              >上传到服务器</el-button
            > -->
            <div slot="tip" class="el-upload__tip">
              只能上传jpg/png文件，且不超过500kb
            </div>
          </el-upload>
        </el-form-item>
      </el-form>
      <div slot="footer" class="dialog-footer">
        <el-button type="primary" @click="submitForm">确 定</el-button>
        <el-button @click="cancel">取 消</el-button>
      </div>
    </el-dialog>
    <!-- //设备安装 -->
    <el-dialog
      :title="titletwo"
      :visible.sync="opentwo"
      width="800px"
      append-to-body
      :close-on-click-modal="false"
    >
      <el-form
        ref="formtwo"
        :model="formtwo"
        :rules="rulestwo"
        label-width="150px"
      >
        <!-- <el-form-item label="时间" prop="configName">
          <el-date-picker type="date" placeholder="选择日期" v-model="form.createTime" style="width: 335px"></el-date-picker>
        </el-form-item> -->
        <el-form-item label="进度" prop="configKey">
          <el-select
            v-model="formtwo.eqType"
            placeholder="选择进度"
            clearable
            :disabled = "disfal"
            size="small"
            style="width: 458px"
          >
            <el-option
              v-for="dict in typeOptionsther"
              :key="dict.dictValue"
              :label="dict.dictLabel"
              :value="dict.dictValue"
            />
          </el-select>
        </el-form-item>
        <el-form-item label="图片" prop="configValue">
          <el-upload
            class="upload-demo"
            ref="upload"
            :action="defaultSettings.urls + process+'/common/upload'"
            :on-preview="handlePreviewther"
            :on-remove="handleRemovether"
            :on-success="handleSuccther"
            :file-list="fileListtherrt"
            :auto-upload="true"
            :multiple="true"
            :disabled = "disfal"
            list-type="picture"
          >
            <el-button slot="trigger" :disabled = "disfal"  size="small" type="primary"
              >选取文件</el-button
            >
            <!-- :disabled = "disfal" -->
            <!--  -->
            <!-- <el-button
              style="margin-left: 10px"
              size="small"
              type="success"
              :disabled = "disfal"
              @click="submitUploadther"
              >上传到服务器</el-button
            > -->
            <div slot="tip" class="el-upload__tip">
              只能上传jpg/png文件，且不超过500kb
            </div>
          </el-upload>
        </el-form-item>
      </el-form>
      <div slot="footer" class="dialog-footer">
        <el-button type="primary" @click="submitForm">确 定</el-button>
        <el-button @click="cancel">取 消</el-button>
      </div>
    </el-dialog>
    <!-- 项目到资 -->
    <el-dialog
      :title="titlether"
      :visible.sync="openther"
      width="800px"
      append-to-body
      :close-on-click-modal="false"
    >
      <el-form
        ref="formther"
        :model="formther"
        :rules="rulesther"
        label-width="150px"
      >
        <el-form-item label="到资类型" prop="payForType">
          <el-select
            v-model="formther.payForType"
            placeholder="选择到资类型"
            clearable
            size="small"
            :disabled = "disfal"
            style="width: 458px"
          >
            <el-option
              v-for="dict in typeOptionsfour"
              :key="dict.dictValue"
              :label="dict.dictLabel"
              :value="dict.dictValue"
            />
          </el-select>
        </el-form-item>
        <el-form-item label="到资金额(单位:万元)" prop="payForMoney">
          <el-input
            v-model="formther.payForMoney"
            placeholder="输入数字"
            clearable
            :disabled = "disfal"
            size="small"
            style="width: 458px"
            @keyup.enter.native="handleQuery"
          />
        </el-form-item>
        <el-form-item label="图片" prop="photo">
          <el-upload
            class="upload-demo"
            ref="upload"
            :action="defaultSettings.urls + process+'/common/upload'"
            :on-preview="handlePreviewther"
            :on-remove="handleRemovether"
            :on-success="handleSuccther"
            :on-change="handleChange"
            :file-list="fileListtherrt"
            :auto-upload="true"
            :multiple="true"
            :disabled = "disfal"
            list-type="picture"
          >
            <el-button slot="trigger" :disabled = "disfal"  size="small" type="primary"
              >选取文件</el-button
            >
            <!-- <el-button
              style="margin-left: 10px"
              size="small"
              type="success"
              :disabled = "disfal"
              @click="submitUploadther"
              >上传到服务器</el-button
            > -->
            <div slot="tip" class="el-upload__tip">
              只能上传jpg/png文件，且不超过500kb
            </div>
          </el-upload>
        </el-form-item>
      </el-form>
      <div slot="footer" class="dialog-footer">
        <el-button type="primary" @click="submitForm">确 定</el-button>
        <el-button @click="cancel">取 消</el-button>
      </div>
    </el-dialog>
  </div>
</template>

<script>
import {
  listConfig,
  listConfigfive,
  listConfigsix,
  listConfigserve,
  listConfigfunding,
  listConfigarrival,
  listConfigintegration,
  getConfig,
  delConfig,
  delConfigther,
  delConfigfour,
  delConfigfive,
  addConfig,
  addConfigther,
  addConfigfour,
  addConfigfiv,
  addConfigtherction,
  addConfigsix,
  addConfigbout,
  addConfigsixde,
  updateConfig,
  updateConfigatruction,
  updateConfigntegration,
  updateConfigntegrationde,
  exportConfig,
  clearCache,
  listConfigintegrationsieju
} from "@/api/system/config";
  const defaultSettings = require("@/settings.js");
import{
  setExamine,
  setBack,
  setReject
} from "@/api/projectInfo/info.js";
export default {
  name: "Config",
  data() {
    return {
      process: process.env.VUE_APP_BASE_API,
      ndheuos:false,
      defaultSettings,
      dialogImagename:'',
      disfal:false,
      // 遮罩层
      loading: true,
      //步骤条
      naueactive: 2,
      tab: 0,
      tabNume: ["项目施工", "设备安装", "项目到资", "项目入统"],
      // 选中数组
      ids: [],
      // 非单个禁用
      single: true,
      // 非多个禁用
      multiple: true,
      // 显示搜索条件
      showSearch: true,
      // 总条数
      total: 0,
      totaltwo: 0,
      totalth: 0,
      open: false,
      opentwo: false,
      openther: false,
      typeOptions: [],
      typeOptionstwo: [],
      typeOptionsther: [],
      typeOptionsfour: [],
      // 参数表格数据
      configList: [],
      configListwo: [],
      configListher: [],
      configLisfour: [],
      fileListtherrt: [], //弹框里的
      fileListfour: [],
      fileListfive: [],
      fileListthertwo: [],
      fileList: [{ name: "", url: "" }],
      fileListther: [],
      // 弹出层标题
      title: "",
      titletwo: "",
      titlether: "",
      dialogImageUrl: "",
      dialogVisible: false,
      disabled: false,
      // 查询参数
      queryParams: {
        pageNum: 1,
        pageSize: 10,
        configName: undefined,
        configKey: undefined,
        configType: undefined,
      },
      queryParamstwo: 0,
      queryParamstheyr: {
        bmProjectId:0,
      },
      queryParamstwr: {
        bmProjectId:0,
      },
      queryParamstwrction: {
        pageNum: 1,
        pageSize: 10,
      },
      queryParamsstallation: {
        pageNum: 1,
        pageSize: 10,
      },
      queryParamstheyrss:{
         bmProjectId:0,
      },
      // 表单参数
      form: {},
      formtwo: {},
      formther: {},
      bmProjectId: 0,
      bmjdeu: {
        bmProjectId: 0,
      },
      imagese: [],
      numhu: 0, //判断
      // 添加开工照片表单校验
      rules: {
        rateType: [
          { required: true, message: '请选择进度', trigger: 'change' }
        ]
        // configKey: [
        //   { required: true, message: "参数键名不能为空", trigger: "blur" }
        // ],
        // configValue: [
        //   { required: true, message: "参数键值不能为空", trigger: "blur" }
        // ]
      },
      // 项目施工
      queryForm:{
        isConstruction: [
          { required: true, message: "请选择	是否开工建设", trigger: "blur" }
        ],
        constructionStartdate: [
          { type: 'date', required: true, message: '请选择开工时间', trigger: 'change' }
        ],
        constructionEnddate: [
          { type: 'date', required: true, message: '请选择预计完工时间', trigger: 'change' }
        ]
      },
      //项目入统
      queryFormtwo:{

      },
      queryFormtwofr:{},
      rulestwo: {},
      rulesther: {
        payForMoney: [
          { required: true, message: '请输入金额', trigger: 'change' }
        ]
      },
      //开工照片
      onstruction: [],
      permit: [],
      ontract: [],
      ntry: [],
      modify: 0, //判断是修改还是新增   新增0   修改  1
      ermit: [],
      ontractr: [],
      ruction: [],
      queryFormhye: {},
      udgment: 0, //项目入统判断是新增  还是修改   新增0   修改1
      udgmentList: [],
      fourenter:false,//是否进入入统项目
    };
  },
  created() {
    this.bmProjectId = this.$route.query.setid;
    this.bmjdeu.bmProjectId = this.$route.query.setid;
    this.queryParamsstallation.bmProjectId = this.$route.query.setid;
    this.queryParams.bmProjectId = this.$route.query.setid;
    this.setrd = this.$route.query.setrd;
    if(this.setrd != 5){
      this.disfal = true
    }else{
      this.disfal = false
    }
    console.log(this.bmjdeu);
    this.getList();
    this.getListtoi();
    // this.getListther()
    // this.getListfour()
    // this.getListfive()
    // this.getListsix()
    this.getDicts("sys_yes_no").then((response) => {
      this.typeOptions = response.data;
    });
    this.getDicts("project_rate").then((response) => {
      this.typeOptionstwo = response.data;
    });
    this.getDicts("project_schedule").then((response) => {
      this.typeOptionsther = response.data;
    });
    this.getDicts("project_pay").then((response) => {
      this.typeOptionsfour = response.data;
    });
  },
  methods: {
    backProBtn(){
		var that = this
		this.$confirm("是否确认撤销审核", "提醒", {
		    confirmButtonText: "确定",
		    cancelButtonText: "取消",
		    type: "warning",
		  })
		  .then(function() {
		    return setBack({
		      code: 4,
		      bmProjectId: that.bmProjectId,
		    });
		  })
		  .then(() => {
		    this.msgSuccess("撤销成功");
		    setTimeout(res => {
		      this.$router.go(-1)
		    }, 1000)
		  });
    },
    //审核
    applyBtn() {
      var that=this
      this.$confirm("是否确认审核", "提醒", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
      })
        .then(function () {
          return addConfigbout({
            code: 3,
            bmProjectId: that.bmProjectId,
          });
        })
        .then(() => {
          this.$router.go(-1);
          // this.getList();
          this.msgSuccess("审核成功");
        });
    },
    //驳回
    backBtn() {
      var that=this
      this.$prompt("请输入驳回意见", "提醒", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
      })
        .then(({ value }) => {
            return setReject({
              code: 2,
              bmProjectId: that.bmProjectId,
              remark:value
            });
           })
          .then(() => {
            this.$router.go(-1);
            this.getList();
            this.msgSuccess("驳回成功");
          });
    },
    handleChange(file, fileList){
      console.log(file, fileList)
    },
    beforeAvatarUpload(file) {
      console.log(file.type);
        const isJPG =
          file.type === "image/jpeg" ||
          file.type === "image/png" ||
          file.type === "image/jpg";
        const isPNG = file.type === "image/png";
        const isLt2M = file.size / 1024 / 1024 < 10;
        this.ndheuos = isJPG
        console.log(this.ndheuos,76)
        // if (!isJPG) {
        //   this.$message.error("图片只能是 JPG 格式! 或者 PNG 格式!");
        // }
        // if(!isPNG){
        //   this.$message.error('图片只能是 JPG 格式! 或者 PNG 格式!');
        // }
        if (!isLt2M) {
          this.$message.error("文件大小不能超过 10MB!");
        }
        return  isLt2M;
      // },
    },
    submitUpload() {
      this.$refs.upload.submit();
    },
    //施工许可证
    submitUploaduccpermit() {
      console.log(34);
      this.$refs.uploadone.submit();
    },
    //施工合同
    submitUploaduccontract() {
      this.$refs.uploadtwo.submit();
    },
    handleRemove(file) {
      // console.log(file);
      let urls = ""
      // fileListther
      // this.permit.push(file.response.url);
      // this.queryParamstwr.constructionCode = this.permit.join(",");
      if(file.response){
        this.queryParamstwr.constructionCode =  file.response.url
      }else{
        urls = file.url
      }
      for (let i = this.permit.length - 1; i >= 0; i--) {
        if (this.permit[i] == urls) {
           this.permit.splice(i, 1);
        }
      }
      this.queryParamstwr.constructionCode = this.permit.join(",");
      // console.log(this.form.agreementUrl)

    },
    handleRemoves(file) {
      // this.ontract.push(file.response.url);
     // this.queryParamstwr.constructionDoc = this.ontract.join(",");
     let urls = ""
     if(file.response){
       this.queryParamstwr.constructionDoc =  file.response.url
     }else{
       urls = file.url
     }
     for (let i = this.ontract.length - 1; i >= 0; i--) {
       if (this.ontract[i] == urls) {
          this.ontract.splice(i, 1);
       }
     }
     this.queryParamstwr.constructionDoc = this.ontract.join(",");
      // console.log(file);
    },
    handleRemovess(file) {
      // handleSucc
      // this.onstruction.push(file.response.url);
     // this.queryParamstwr.constructionPhoto = this.onstruction.join(",");
     let urls = ""
     if(file.response){
       this.queryParamstwr.constructionPhoto =  file.response.url
     }else{
       urls = file.url
     }
     for (let i = this.onstruction.length - 1; i >= 0; i--) {
       if (this.onstruction[i] == urls) {
          this.onstruction.splice(i, 1);
       }
     }
     this.queryParamstwr.constructionPhoto = this.onstruction.join(",");
      // console.log(this.queryParamstwr.constructionPhoto,777);

    },
    handleRemovesss(file) {
      // console.log(file);
      // fileListthertwo
      // this.ntry.push(file.response.url);
      // if(this.tab == 3){
      //   this.queryParamstheyr.statisticsPhoto = this.ntry.join(",");
      // }else if(this.tab == 4){
      //   this.queryParamstheyrss.statisticsPhoto = this.ntry.join(",");
      // }
      let urls = ""
      if(file.response){
        if(this.tab == 3){
             this.queryParamstheyr.statisticsPhoto = file.response.url;
        }else if(this.tab == 4){
            this.queryParamstheyrss.statisticsPhoto = file.response.url;
        }
      }else{
        urls = file.url
      }
      for (let i = this.udgmentList.length - 1; i >= 0; i--) {
        if (this.udgmentList[i] == urls) {
           this.udgmentList.splice(i, 1);
        }
      }
      if(this.tab == 3){
           this.queryParamstheyr.statisticsPhoto = this.udgmentList.join(",");
      }else if(this.tab == 4){
          this.queryParamstheyrss.statisticsPhoto = this.udgmentList.join(",");
      }
    },
    //开工合同
    handleSucc(response, file, fileList) {
      this.onstruction.push(file.response.url);
      this.queryParamstwr.constructionPhoto = this.onstruction.join(",");
      // if(file.response.code==200){

      // }
      // console.log(this.queryParamstwr.constructionPhoto,7)
    },
    //施工许可证照片
    handleSuccpermit(response, file, fileList) {
      // console.log(file.response.url);
      this.permit.push(file.response.url);
      this.queryParamstwr.constructionCode = this.permit.join(",");
    },
    //施工合同
    handleSuccontract(response, file, fileList) {
      // this.ontract = []
      this.ontract.push(file.response.url);
      this.queryParamstwr.constructionDoc = this.ontract.join(",");
    },
    // 入统截图
    handleSuccntry(response, file, fileList) {
      // this.ontract = []
      this.udgmentList.push(file.response.url);
      if(this.tab == 3){
        this.queryParamstheyr.statisticsPhoto = this.udgmentList.join(",");
      }else if(this.tab == 4){
        this.queryParamstheyrss.statisticsPhoto = this.udgmentList.join(",");
      }

    },
    handlePictureCardPreview(file) {
      if(file.response !== undefined){
        this.dialogImageUrl = file.response.url;
        this.dialogVisible = true;
        this.dialogImagename = file.name
      }else{
        this.dialogImageUrl = file.url;
        this.dialogVisible = true;
        this.dialogImagename = file.name
      }

      // console.log(file,345)

    },
    handleDownload(file) {
      console.log(file);
    },
    handleRemovetwo(file, fileList) {
      console.log(file, fileList);
    },
    handlePreviewtwo(file) {
      console.log(file);
    },
    handleExceedtwo(files, fileList) {
      // this.$message.warning(
      //   `当前限制选择 3 个文件，本次选择了 ${files.length} 个文件，共选择了 ${
      //     files.length + fileList.length
      //   } 个文件`
      // );
    },
    beforeRemovetwo(file, fileList) {
      return this.$confirm(`确定移除 ${file.name}？`);
    },
    submitUploadther() {
      this.$refs.upload.submit();
    },
    handleRemovether(file, fileList) {
      // console.log(file, fileList);
    },
    handlePreviewther(file) {
      console.log(file, 45);

    },
    handleSuccther(response, file, fileList) {
      // let imges = []

      this.imagese.push(file.response.url);
      console.log(this.imagese.join(","), 345);
      if (this.numhu == 0) {
        this.form.photo = this.imagese.join(",");
      } else if (this.numhu == 1) {
        this.formtwo.photo = this.imagese.join(",");
      } else if (this.numhu == 2) {
        this.formther.photo = this.imagese.join(",");
      }

      console.log(this.form.photo);
      if (file.response.code == 200) {
        this.msgSuccess("上传成功");
      }

      console.log(response.url, file, fileList);
    },
    /** 查询参数列表 */
    getList() {
      this.loading = true;
      listConfigfive(this.bmProjectId).then((response) => {
        this.fileListther = [];
        this.fileListfour = [];
        this.fileListfive = [];
        // this.ermit = []
        if (response.data.id !== null) {
          //修改
          this.queryParamstwr = response.data;
          this.modify = 1;
          if (this.queryParamstwr.constructionCode !== null&&this.queryParamstwr.constructionCode!='') {
            this.ermit = this.queryParamstwr.constructionCode.split(",");
            console.log(this.ermit, 90);
            for (var i = 0; i < this.ermit.length; i++) {
              this.fileListther.push({
                name:this.ermit[i].substring(this.ermit[i].lastIndexOf("/")+1),
                url: this.ermit[i],
              });
            }
          }
          if (this.queryParamstwr.constructionDoc !== null&&this.queryParamstwr.constructionDoc!='') {
            this.ontractr = this.queryParamstwr.constructionDoc.split(",");
            // console.log(this.ontractr, 80);
            for (var i = 0; i < this.ontractr.length; i++) {
              this.fileListfour.push({
                name: this.ontractr[i].substring(this.ontractr[i].lastIndexOf("/")+1),
                url: this.ontractr[i],
              });
            }
          }
          if (this.queryParamstwr.constructionPhoto !== null&&this.queryParamstwr.constructionPhoto!='') {
            this.onstruction = this.queryParamstwr.constructionPhoto.split(",");
            // this.dialogImagename = this.queryParamstwr.constructionPhoto
            // onstruction
            for (var i = 0; i < this.onstruction.length; i++) {
              this.fileListfive.push({
                name: this.onstruction[i],
                url: this.onstruction[i],
              });
            }
          }
        } else {
          //新增
          this.queryParamstwr = {};
          this.queryParamstwr.orderBeginTime = response.data.orderBeginTime
          this.queryParamstwr.orderEndTime = response.data.orderEndTime
          this.modify = 0;
        }

        this.total = response.total;
        this.loading = false;
      });
    },
    //开工图片列表
    getListtoi() {
      this.loading = true;
      this.queryParamstwrction.bmProjectId = this.bmProjectId
      listConfigsix(this.queryParamstwrction).then((response) => {
        this.configList = response.rows;
        this.configList.filter((route) => {
          if (route.photo !== null) {
            let poku = [];
            poku = route.photo.split(",");
            route.photo = route.photo.split(",");
            route.phototwo = route.photo[0];
            // this.dialogImagename = this.queryParamstwr.phototwo
            console.log(route.phototwo);
            console.log(route.photo);
            // route.photo = []
            // for(var i = 0; i < poku.length; i++){
            //   route.photo.push({name:poku[i],ulr:poku[i]})
            // }
          }
        });
        this.totaltwo = response.total;
        this.loading = false;
      });
    },


    //设备安装接口
    getListther() {
      this.loading = true;
      listConfigserve(this.queryParamsstallation).then((response) => {
        if(response.rows.constructionCode !== null){
          this.configListher = response.rows;
          this.configListher.filter((route) => {
            if (route.photo !== null) {
              let poku = [];
              poku = route.photo.split(",");
              route.photo = route.photo.split(",");
              route.phototwo = route.photo[0];
              this.dialogImagename = route.phototwo
              console.log(route.phototwo);
              console.log(route.photo);
            }
          });
        }
        this.totalth = response.total;
        this.loading = false;
      });
    },
    //项目到资列表接口
    getListfour() {
      this.loading = true;
      listConfigfunding(this.queryParams).then((response) => {
        this.configLisfour = response.rows;
        this.configLisfour.filter((route) => {
          if (route.photo !== null) {
            let poku = [];
            poku = route.photo.split(",");
            route.photo = route.photo.split(",");
            route.phototwo = route.photo[0];
            console.log(route.phototwo);
            console.log(route.photo);
          }
        });
        this.total = response.total;
        this.loading = false;
      });
    },
    //项目到资查看接口
    getListfive() {
      this.loading = true;
      listConfigarrival(this.bmjdeu).then((response) => {
        if (response.data !== undefined) {
          this.queryParamstwo = response.data;
        } else {
        }

        this.loading = false;
      });
    },
    //项目入统查看接口
    getListsix() {
      this.loading = true;
      listConfigintegration(this.bmProjectId).then((response) => {
        this.fileListthertwo = [];
        if (response.data !== undefined) {
          //修改
          this.udgment = 1;
          this.queryParamstheyr = response.data;
          if (this.queryParamstheyr.statisticsPhoto !== null&&this.queryParamstheyr.statisticsPhoto!='') {
            this.udgmentList = this.queryParamstheyr.statisticsPhoto.split(",");
            for (var i = 0; i < this.udgmentList.length; i++) {
              this.fileListthertwo.push({
                name: this.udgmentList[i],
                url: this.udgmentList[i],
              });
            }
          }
        } else {
          //新增
          this.udgment = 0;
        }

        this.loading = false;
      });
    },

    //项目入规查看接口
    getListssijeu() {
      this.loading = true;
      listConfigintegrationsieju(this.bmProjectId).then((response) => {
        this.fileListthertwo = [];
        if (response.data !== undefined) {
          //修改
          this.udgment = 1;
          this.queryParamstheyrss = response.data;
          if (this.queryParamstheyrss.statisticsPhoto !== null) {
            this.udgmentList = this.queryParamstheyrss.statisticsPhoto.split(",");
            for (var i = 0; i < this.udgmentList.length; i++) {
              this.fileListthertwo.push({
                name: this.udgmentList[i],
                url: this.udgmentList[i],
              });
            }
          }
        } else {
          //新增
          this.udgment = 0;
        }

        this.loading = false;
      });
    },
    // 参数系统内置字典翻译
    typeFormat(row, column) {
      return this.selectDictLabel(this.typeOptions, row.configType);
    },
    // 取消按钮
    cancel() {
      this.open = false;
      this.opentwo = false;
      this.openther = false;
      this.reset();
    },
    // 表单重置
    reset() {
      this.form = {
        configId: undefined,
        configName: undefined,
        configKey: undefined,
        configValue: undefined,
        configType: "Y",
        remark: undefined,
      };
      this.resetForm("form");
    },
    resettwo() {
      this.form = {
        // configId: undefined,
        // configName: undefined,
        // configKey: undefined,
        // configValue: undefined,
        // configType: "Y",
        // remark: undefined
      };
      this.resetForm("formtwo");
    },
    /** 搜索按钮操作 */
    handleQuery() {
      this.queryParams.pageNum = 1;
      this.getList();
    },
    /** 重置按钮操作 */
    resetQuery() {
      this.dateRange = [];
      this.resetForm("queryForm");
      this.handleQuery();
    },
    /** 新增按钮操作 */
    handleAdd(index) {
      this.numhu = index;
      this.reset();
      this.fileListtherrt = []
      if (this.numhu == 0) {
        this.open = true;
      } else if (this.numhu == 2) {
        this.openther = true;
      }
      this.form = {}
      this.formtwo = {}
      this.formther = {}
      this.imagese = []

      this.title = "添加参数";
    },
    // 多选框选中数据
    handleSelectionChange(selection) {
      this.ids = selection.map((item) => item.configId);
      this.single = selection.length != 1;
      this.multiple = !selection.length;
    },
    /** 修改按钮操作 */
    handleUpdate(row) {
      this.reset();
      const configId = row.configId || this.ids;
      getConfig(configId).then((response) => {
        this.form = response.data;
        this.open = true;
        this.title = "修改参数";
      });
    },
    /** 提交按钮 */
    submitForm: function () {
      this.form.bmProjectId = this.bmProjectId;
      this.formtwo.bmProjectId = this.bmProjectId;
      this.formther.bmProjectId = this.bmProjectId;
      console.log(this.numhu);
      if (this.numhu == 0) {
        this.$refs["form"].validate((valid) => {
          if (valid) {
            if(this.form.rateType == undefined){
              this.msgSuccess("请选择进度");
              return  false
            }
            if(this.form.photo == undefined){
              this.msgSuccess("请上传照片");
              return  false
            }
            addConfigther(this.form).then((response) => {
              this.msgSuccess("新增成功");
              this.open = false;
              this.getListtoi();
            });
          }
        });
      } else if (this.numhu == 1) {
        this.$refs["formtwo"].validate((valid) => {
          if (valid) {
            if(this.formtwo.eqType == undefined){
              this.msgSuccess("请选择进度");
              return  false
            }
            if(this.formtwo.photo == undefined){
              this.msgSuccess("请上传照片");
              return  false
            }
            addConfigfour(this.formtwo).then((response) => {
              this.msgSuccess("新增成功");
              this.opentwo = false;
              this.getListther();
            });
          }
        });
      } else if (this.numhu == 2) {
        console.log("步骤3");
        this.$refs["formther"].validate((valid) => {
          if (valid) {
            if(this.formther.payForType == undefined){
              this.msgSuccess("请选择进度");
              return  false
            }
            if(this.formther.payForMoney == undefined){
              this.msgSuccess("请输入到资金额");
              return  false
            }
            if(this.formther.photo == undefined){
              this.msgSuccess("请上传照片");
              return  false
            }
            addConfigfiv(this.formther).then((response) => {
              this.msgSuccess("新增成功");
              this.openther = false;
              this.getListfour();
              this.getListfive()
            });
          }
        });
      }
    },
    //项目施工提交按钮
    submitCtion() {
      this.queryParamstheyr.bmProjectId = this.bmProjectId
      // this.formther.bmProjectId = this.bmProjectId
      // console.log(this.numhu);
      // console.log(this.tab,this.modify)

      if (this.tab == 0) {
          // 提示展示
          if(this.queryParamstwr.constructionCode == null){
            this.msgSuccess("请上传施工许可证");
            return  false
          }
          if(this.queryParamstwr.isConstruction == "Y"){
            if(this.queryParamstwr.constructionEnddate == null){
              this.msgSuccess("请选择预计完工日期");
              return  false
            }
            if(this.queryParamstwr.constructionStartdate == null){
              this.msgSuccess("请选择开工日期");
              return  false
            }
          }
          // if(this.queryParamstwr.constructionDoc == null){
          //   this.msgSuccess("请上传施工施工合同");
          //   return  false
          // }
          if(this.queryParamstwr.constructionPhoto == null||this.queryParamstwr.constructionPhoto==''){
            this.msgSuccess("请上传开工照片");
            return  false
          }
          if(this.configList.length<1){
            this.msgSuccess("请添加开工照片");
            return  false
          }

        this.$refs["queryForm"].validate((valid) => {
          if (valid) {
            // if(this.queryParamstwr.constructionCode == ''){
            //   this.msgSuccess("请上传施工许可证");
            //   return  false
            // }
            if (this.modify == 1) {
              // if(this.queryParamstwr.constructionCode == null){
              //   this.msgSuccess("请上传施工许可证");
              //   return  false
              // }
              // if(this.queryParamstwr.isConstruction == "Y"){
              //   // console.log(this.queryParamstwr.isConstruction)
              //   if(this.queryParamstwr.constructionEnddate == null){
              //     this.msgSuccess("请选择预计完工日期");
              //     return  false
              //   }
              //   if(this.queryParamstwr.constructionStartdate == null){
              //     this.msgSuccess("请选择开工日期");
              //     return  false
              //   }
              // }
              // if(this.queryParamstwr.constructionDoc == null){
              //   this.msgSuccess("请上传施工施工合同");
              //   return  false
              // }

              // if(this.queryParamstwr.constructionPhoto == null){
              //   this.msgSuccess("请上传开工合同");
              //   return  false
              // }

              //修改

              updateConfigatruction(this.queryParamstwr).then((response) => {
                this.msgSuccess("修改成功");
                this.open = false;
                this.getListtoi();
                this.handleAudit()
                // this.$router.go(-1);
              });
            } else if (this.modify == 0) {
              // if(this.queryParamstwr.isConstruction == "Y"){
              //   if(this.queryParamstwr.constructionEnddate == undefined){
              //     this.msgSuccess("请选择预计完工日期");
              //     return  false
              //   }
              //   if(this.queryParamstwr.constructionStartdate == undefined){
              //     this.msgSuccess("请选择开工日期");
              //     return  false
              //   }
              // }
              // if(this.queryParamstwr.constructionCode == undefined){
              //   this.msgSuccess("请上传施工许可证");
              //   return  false
              // }
              // if(this.queryParamstwr.constructionDoc == undefined){
              //   this.msgSuccess("请上传施工施工合同");
              //   return  false
              // }
              // if(this.queryParamstwr.constructionPhoto == undefined){
              //   this.msgSuccess("请上传开工合同");
              //   return  false
              // }


              //新增
              this.queryParamstwr.bmProjectId = this.bmProjectId;
              console.log(this.queryParamstwr.bmProjectId)
              addConfigtherction(this.queryParamstwr).then((response) => {
                this.msgSuccess("新增成功");
                this.open = false;
                this.getListtoi();
                this.handleAudit()
                // this.$router.go(-1);
              });
            }
          }
        });
      } else if (this.tab == 3) {
        this.$refs["queryFormtwo"].validate((valid) => {
          if (valid) {
            if (this.udgment == 1) {
              // if(this.queryParamstheyr.statisticsDate == null){
              //   this.msgSuccess("请选择入统日期");
              //   return  false
              // }
              // if(this.queryParamstheyr.statisticsPhoto == null){
              //   this.msgSuccess("请上传入统截图");
              //   return  false
              // }
              //修改
              updateConfigntegration(this.queryParamstheyr).then((response) => {
                this.msgSuccess("修改成功");
                this.open = false;
                // this.getListtoi();
                this.handleAudit()
                // this.$router.go(-1);
              });
            } else {
              // if(this.queryParamstheyr.statisticsDate == undefined){
              //   this.msgSuccess("请选择入统日期");
              //   return  false
              // }
              // if(this.queryParamstheyr.statisticsPhoto == undefined){
              //   this.msgSuccess("请上传入统截图");
              //   return  false
              // }
              this.queryParamstheyr.bmProjectId = this.bmProjectId;
              console.log(this.queryParamstheyr.bmProjectId,98)
              addConfigsix(this.queryParamstheyr).then((response) => {
                this.msgSuccess("新增成功");
                this.opentwo = false;
                this.handleAudit()
                // this.getListther();
                // this.$router.go(-1);
              });
            }
          }
        });
      }else if(this.tab == 4){

        if (this.udgment == 1) {
          //修改
          updateConfigntegrationde(this.queryParamstheyrss).then((response) => {
            this.msgSuccess("修改成功");
            this.open = false;
            // this.getListtoi();
            this.handleAudit()
            this.$router.go(-1);
          });
        } else {
          this.queryParamstheyrss.bmProjectId = this.bmProjectId;
          // console.log(this.queryParamstheyrss.bmProjectId,98)
          addConfigsixde(this.queryParamstheyrss).then((response) => {
            this.msgSuccess("新增成功");
            this.opentwo = false;
            this.handleAudit()
            // this.getListther();
            // this.$router.go(-1);
          });
        }
      }
    },
    /** 开工照片删除按钮操作 */
    handleDelete(row) {
      const configIds = row.id;
      this.$confirm(
        '是否确认删除"' + configIds + '"的数据项?',
        "警告",
        {
          confirmButtonText: "确定",
          cancelButtonText: "取消",
          type: "warning",
        }
      )
        .then(function () {
          return delConfigther(configIds);
        })
        .then(() => {
          this.getListtoi();
          this.msgSuccess("删除成功");
        });
    },
    //设备安装删除
    handleDeletetwo(row) {
      const configIds = row.id;
      this.$confirm(
        '是否确认删除"' + configIds + '"的数据项?',
        "警告",
        {
          confirmButtonText: "确定",
          cancelButtonText: "取消",
          type: "warning",
        }
      )
        .then(function () {
          return delConfigfour(configIds);
        })
        .then(() => {
          this.getListther();
          this.msgSuccess("删除成功");
        });
    },
    //项目到资删除
    handleDeletether(row) {
      const configIds = row.id;
      this.$confirm(
        '是否确认删除"' + configIds + '"的数据项?',
        "警告",
        {
          confirmButtonText: "确定",
          cancelButtonText: "取消",
          type: "warning",
        }
      )
        .then(function () {
          return delConfigfive(configIds);
        })
        .then(() => {
          this.getListfour();
          this.msgSuccess("删除成功");
        });
    },
    /** 导出按钮操作 */
    handleExport() {
      const queryParams = this.queryParams;
      this.$confirm("是否确认导出所有参数数据项?", "警告", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
      })
        .then(function () {
          return exportConfig(queryParams);
        })
        .then((response) => {
          this.download(response.msg);
        });
    },
    /** 清理缓存按钮操作 */
    handleClearCache() {
      clearCache().then((response) => {
        this.msgSuccess("清理成功");
      });
    },
    //tab
    tabClid(index) {
      this.tab = index;
      this.udgmentList = []
      if (this.tab == 1) {
        this.getListther();
      } else if (this.tab == 0) {
        this.getList();
        this.getListtoi();
      } else if (this.tab == 2) {
        this.getListfour();
        this.getListfive();
      } else if (this.tab == 3) {
        // 判断有没有进入4
        this.fourenter=true
        this.getListsix();
      }else if(this.tab == 4){
         this.getListssijeu()
      }
      if(!this.disfal){
        this.submitCtionfrty()
      }


      // this.$router.push('/tab');
    },
    // 到哪一步才能走暂存
    submitCtionfrty() {
          this.queryParamstheyr.bmProjectId = this.bmProjectId
          if (this.tab == 0) {
            // 项目施工?暂存项目入统
            if(this.fourenter){
              if (this.udgment == 1) {
                //修改
                var arr = Object.keys(this.queryParamstheyr);
                if(arr.length>1){
                  //修改
                  updateConfigntegration(this.queryParamstheyr).then((response) => {
                    this.open = false;
                  });
                }
              } else {
                this.queryParamstheyr.bmProjectId = this.bmProjectId;
                addConfigsix(this.queryParamstheyr).then((response) => {
                  // this.msgSuccess("新增成功");
                  this.opentwo = false;
                  // this.handleAudit()
                  // this.getListther();
                  // this.$router.go(-1);
                });
              }
            }


          } else if (this.tab == 3) {
            // 项目 暂存项目施工
    //修改
            if (this.modify == 1) {
              //修改
             var arrs = Object.keys(this.queryParamstwr);
               if(arrs.length){
                 updateConfigatruction(this.queryParamstwr).then((response) => {
                   this.open = false;
                   // this.getListtoi();
                 });
               }
            } else if (this.modify == 0) {
              //新增
              this.queryParamstwr.bmProjectId = this.bmProjectId;
              addConfigtherction(this.queryParamstwr).then((response) => {
                // this.msgSuccess("新增成功");
                this.open = false;
                // this.getListtoi();
                // this.handleAudit()
                // this.$router.go(-1);
              });
            }
          }else if(this.tab == 4){

            if (this.udgment == 1) {
              //修改
              updateConfigntegrationde(this.queryParamstheyrss).then((response) => {
                this.msgSuccess("修改成功");
                this.open = false;
              });
            } else {
              this.queryParamstheyrss.bmProjectId = this.bmProjectId;
              // console.log(this.queryParamstheyrss.bmProjectId,98)
              addConfigsixde(this.queryParamstheyrss).then((response) => {
                this.msgSuccess("新增成功3");
                this.opentwo = false;
              });
            }
          }else{
            // 都暂存这是项目入统暂存
            //修改
            if(this.fourenter){
              if (this.udgment == 1) {
                //修改
                var arr = Object.keys(this.queryParamstheyr);
                if(arr.length>1){
                  //修改
                  console.log(55)
                  updateConfigntegration(this.queryParamstheyr).then((response) => {
                    this.open = false;
                  });
                }
              } else {
                this.queryParamstheyr.bmProjectId = this.bmProjectId;
                addConfigsix(this.queryParamstheyr).then((response) => {
                  // this.msgSuccess("新增成功");
                  this.opentwo = false;
                  // this.handleAudit()
                  // this.getListther();
                  // this.$router.go(-1);
                });
              }
            }

           if (this.modify == 1) {
             //修改
            var arrs = Object.keys(this.queryParamstwr);
              if(arrs.length){
                updateConfigatruction(this.queryParamstwr).then((response) => {
                  this.open = false;
                  // this.getListtoi();
                });
              }
           } else if (this.modify == 0) {
             //新增
             this.queryParamstwr.bmProjectId = this.bmProjectId;
             addConfigtherction(this.queryParamstwr).then((response) => {
               // this.msgSuccess("新增成功");
               this.open = false;
               // this.getListtoi();
               // this.handleAudit()
               // this.$router.go(-1);
             });
           }
          }
        },
    //下一页点击
    nextYg() {
      this.tab = this.tab + 1;
      if (this.tab == 2) {
        this.getListfour();
        this.getListfive();
      } else if (this.tab == 3) {
        this.getListsix();
      }
    },
    quipment(index) {
      this.resettwo();
      this.numhu = index;
      this.fileListtherrt = []
      this.formther = {}
      this.imagese = []
      this.opentwo = true;
      this.titletwo = "添加参数";
    },
    //取消
    handleUpdatex() {
      this.$router.go(-1);
    },
    //确认审核
    handleAudit() {
      console.log(23)
      // this.msgSuccess("请点击暂存按钮,返回上级页面进行提交");
      if(this.configListher.length<1){
        this.msgSuccess("请添加设备安全信息");
        return  false
      }
      // 判断是否项目资金
      if(this.configLisfour.length<1){
        this.msgSuccess("请添加项目到资信息");
        return  false
      }
      this.queryFormhye.code = 1;
      this.queryFormhye.bmProjectId = this.bmProjectId;
      setExamine(this.queryFormhye).then((response) => {
        // setExamine addConfigbout
        console.log(response);
        this.msgSuccess("提交成功");
        this.$router.go(-1);
        // 就可以回到上一页。
        // this.open = false;
        // this.getListtwo();
      });
      // console.log(this.queryParams)
    },

  },
};
</script>
<style type="text/css" lang="scss">
  .bhyeksu{
    .el-form-item{
      margin-bottom: 55px !important;
    }

  }
  .fre{
    .el-upload-list{
      width: 80%;
    }
  }
</style>



<style rel="stylesheet/scss" lang="scss" scoped>
.roiyy {
  position: fixed;
  top: 95px;
  left: 0;
  width: 100%;
  padding-left: 230px;
  padding-right: 30px;
  box-sizing: border-box;
  z-index: 100;
}
.buiy {
  // width: 75px !important;
  // height: 30px !important;
  // line-height: 30px !important;
}
.ijeut {
  display: flex;
  height: 78px;
  align-items: center;
}

.burert {
  .el-upload--picture-card {
    height: 78px;
    line-height: 78px;
    width: 80px;
    vertical-align: center;
    border: 0 !important;
    background-color: #fff;
  }
  .el-upload-list--picture-card .el-upload-list__item {
    height: 78px !important;
    width: 78px !important;
  }
}

.manager_form {
  .manager_lab {
    .el-form-item__label {
      width: 145px !important;
    }
  }
  .maneg_lar {
    position: relative;
    .el-form-item__label {
      width: 134px !important;
    }
    span {
      position: absolute;
      left: -95%;
    }
  }
  .manager_labtwo {
    .el-form-item__label {
      width: 244px !important;
    }
  }
  // .manager_labthre {
  //   // .el-form-item{
  //   .el-form-item__label {
  //     width: 130px !important;
  //   }
  //   margin-right: 40px !important;
  //   // }
  // }
  .ieuyr {
    .el-textarea__inner {
      height: 80px !important;
    }
  }
  // .mage_ter {
  //   .el-form-item__label {
  //     width: 543px !important;
  //   }
  // }
  .maget_ty {
    .el-form-item__label {
      width: 140px !important;
    }
  }
  .forieu {
    border: 1px solid #dcdfe6;
    border-radius: 4px;
    width: 480px;
    height: 100px !important;
    position: relative;

    .bure {
      display: flex;
      // position: absolute;
      // height: 100%;
      // right: 20px;
      // top: 50%;
      // transform: translateY(-50%);
      padding: 10px 0;
    }
    .burert {
      display: flex;
      position: absolute;
      height: 100%;
      left: 20px;
      top: 50%;
      transform: translateY(-50%);
    }
  }
}
.lage_div {
  padding-left: 15px;
  display: flex;
  align-items: center;
  margin-bottom: 22px;
  .el-form-item {
    margin-bottom: 0 !important;
  }
}
.app-conta {
  .header {
    padding-left: 22px;
    height: 45px;
    line-height: 40px;
    background-color: #f1f1f1;
    font-size: 18px;
    color: #343434;
    margin-bottom: 40px;
  }
  .nauer {
    .nuae_wtu {
      display: flex;
      justify-content: center;
      align-content: center;
      .naue_one {
        width: 30%;
        p {
          font-size: 12px;
          font-family: PingFang SC;
          font-weight: 400;
          color: #343434;
        }
        .naue_name {
          font-size: 14px;
          font-family: PingFang SC;
          font-weight: bold;
          color: #0669b2;
          margin-bottom: 30px;
        }
      }
      .naue_two {
        flex: 1;
        padding-top: 20px;
        // display: flex;
        // align-items: center;
        // justify-content: center;
      }
    }
    //tab
    // .naue_tab {
    //   border-bottom: 1px solid #cdcdcd;
    //   display: flex;
    //   margin-top: 30px;
    //   padding: 0 10px;
    //   margin-bottom: 30px;
    //   p {
    //     font-size: 14px;
    //     font-family: PingFang SC;
    //     font-weight: 700;
    //     color: #fff;
    //     padding: 11px 15px;
    //     margin: 10px;
    //   }
    //   .p {
    //     border-bottom: 2px solid #1c84c6;
    //     margin-bottom: -1px;
    //   }
    // }
    .mation {
      .enterprise {
        font-size: 14px;
        font-family: PingFang SC;
        font-weight: bold;
        color: #1c84c6;
        margin-top: 25px;
        margin-bottom: 20px;
      }
      .enterprise_tw {
        i {
          margin-right: 5px;
        }
        font-size: 14px;
        font-family: PingFang SC;
        font-weight: 600;
        color: #666666;
      }
    }
  }
  .naue_tabd{
    border-bottom: 1px solid #cdcdcd;
    display: flex;
    margin-top: 30px;
    padding: 0 10px;
    margin-bottom: 30px;
    p {
      font-size: 14px;
      font-family: PingFang SC;
      font-weight: 700;
      color: #343434;
      padding: 11px 15px;
      margin: 0;
    }
    .p {
      border-bottom: 2px solid #1c84c6;
      margin-bottom: -1px;
    }
  }
  .nvestor {
    margin-bottom: 10px;
    p {
      margin: 0;
      font-size: 14px;
      font-family: PingFang SC;
      font-weight: bold;
      color: #343434;
      height: 24px;
      line-height: 24px;
      border-left: 3px solid #1c84c6;
      padding-left: 13px;
      i {
        color: red;
      }
    }
  }
  .souu {
    font-size: 14px;
    font-family: PingFang SC;
    font-weight: 400;
    color: #343434;
    margin-left: 5px;
  }
}
//在建项目
.nstruction {
  display: flex;
  align-items: center;
  .nstruction_nav {
    display: flex;
    align-items: center;
    p:nth-child(1) {
      margin-right: 10px;
      span {
        font-size: 14px;
        font-family: PingFang SC;
        font-weight: bold;
        color: #343434;
      }
      span:nth-child(1) {
        color: #df0024;
      }
    }
    p:nth-child(2) {
      width: 233px;
      height: 30px;
      line-height: 30px;
      border: 1px solid #cdcdcd;
      border-radius: 3px;
      padding-left: 14px;
    }
  }
  .nstruction_navne {
    margin-left: 50px;
    display: flex;
    align-items: center;
    p:nth-child(1) {
      margin-right: 10px;
      span {
        font-size: 14px;
        font-family: PingFang SC;
        font-weight: bold;
        color: #343434;
      }
      span:nth-child(1) {
        color: #df0024;
      }
    }
    p:nth-child(2) {
      width: 233px;
      height: 30px;
      line-height: 30px;
      border: 1px solid #cdcdcd;
      border-radius: 3px;
      padding-left: 14px;
    }
  }
}
.kaieu {
  padding-left: 60px;
  font-size: 14px;
  font-family: PingFang SC;
  font-weight: 800;
  color: #343434;
}
.kaieu_tw {
  padding-left: 60px;
  font-size: 14px;
  font-family: PingFang SC;
  font-weight: 500;
  color: #666666;
}
.bgteu{
   border: 1px solid #dcdfe6;
      border-radius: 4px;
      padding: 10px ;
}
</style>
